# Files That Can Be Safely Removed

The following files can be safely removed from the project as their functionality has been migrated to the new UnifiedEmailServer implementation:

## Already Deleted Files (Confirmed Safe to Remove)
1. `/ts/platformservice.ts` - Platform service now uses UnifiedEmailServer instead
2. `/ts/classes.platformservicedb.ts` - No longer needed with the new architecture
3. `/ts/mail/delivery/classes.mta.patch.ts` - MTA patching no longer needed with UnifiedEmailServer
4. `/ts/aibridge/classes.aibridge.ts` - AIBridge functionality not used in new design
5. `/test/test.dcrouter.ts` - Test file for old DcRouter functionality

## Additional Files to Remove
1. `/ts/mail/delivery/classes.mta.ts` - MTA service replaced by UnifiedEmailServer
2. `/ts/mail/delivery/classes.connector.mta.ts` - MTA connector replaced by direct UnifiedEmailServer integration
3. `/ts/mail/services/classes.emailservice.old.ts` (if exists) - Any old email service implementations
4. `/ts/mail/delivery/classes.mtaconfig.old.ts` (if exists) - Old MTA configuration files

## Files to Keep with Reduced Functionality
1. `/ts/mail/delivery/classes.mta.config.ts` - Needed for configuration, but can be simplified
2. `/ts/mail/delivery/classes.emailsendjob.ts` - Used by the delivery system, but could be simplified

## Dependencies to Update
1. Remove references to MtaService in `/ts/mail/index.ts`
2. Update imports in `/ts/mail/services/classes.emailservice.ts` to remove MtaService dependencies

## Notes
- The UnifiedEmailServer now handles all the functionality previously provided by MtaService
- Integration between components has been simplified to use the UnifiedEmailServer directly
- References to the MtaService in other files should be updated to use UnifiedEmailServer instead